只今,とあるプロジェクトに zsh を使うため(ええ,藝のためなら身体を張りますよ…) MacOSX Tiger のデフォルトシェル: bsh から 究極のシェルといわれる zsh へ移行作業中。

とは言っても,唯単に使うだけであれば Terminal.app の 環境設定 にある 新規ターミナルウィンドウの作成時 の中にある このコマンドを使用する を選び,/usr/zsh/ を指定すればOK。

でも物足りない/最新版を使いたい,と思ったらこの作業をしましょう:

  1. 適当な FTP サーバからzsh の最新版をダウンロード;
  2. preconfigure;
  3. configure;
  4. make;
  5. make install;

私の環境だと日本語入力が出来るという zsh ver. 4.3.2 のコンパイルがうまくいかないんですよねー,なんでだろ。